Remove one flag
Authenticate every request with Authorization: Bearer <token> — a JWT or API token.
Download OpenAPI JSONOverview
DELETE
/ecosystem/feature-flags/{id}/{key}ecosystemRemove one flag
Delete a record from feature-flags by id, key.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- keypathstring
Responses
200
Success
- okboolean
Example
{
"ok": true
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/ecosystem/feature-flags/{id}/{key}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/ecosystem/feature-flags/{id}/{key}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();